create table if not exists mlbdata (
	"json" text unique on conflict ignore,
	"posted" integer check ("posted" in (0, 1))
);

create index if not exists nonposted
on mlbdata(posted)
where posted = 0;

create table if not exists games (
	gamePk	integer,
	teamId	text,
	state	text,
	unique (teamId, gamePk) on conflict replace
);
